plugins {
    id 'com.android.library'
    id 'kotlin-android'
}

android {
    namespace 'com.example.base'
    compileSdk 34
    buildFeatures.buildConfig = true

    defaultConfig {
        minSdk 26
        targetSdk 34

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles "consumer-rules.pro"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }

    }

    buildFeatures {
        viewBinding true
    }

    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_17
        targetCompatibility = JavaVersion.VERSION_17
    }
    kotlinOptions {
        jvmTarget = '17'
    }
}


dependencies {
    ext.anko_version = '0.10.8'
    api "org.jetbrains.anko:anko-coroutines:$anko_version"
    api "org.jetbrains.anko:anko-common:$anko_version"
    api "org.jetbrains.anko:anko-sdk27:$anko_version"
    api "org.jetbrains.anko:anko-sdk27-listeners:$anko_version"

    implementation 'androidx.core:core-ktx:1.9.0'
    implementation 'androidx.appcompat:appcompat:1.6.1'
    implementation 'com.google.android.material:material:1.10.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.1.4'

    implementation 'androidx.lifecycle:lifecycle-livedata-ktx:2.5.1'
    implementation 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.5.1'
    implementation 'androidx.navigation:navigation-fragment-ktx:2.5.2'
    implementation 'androidx.navigation:navigation-ui-ktx:2.5.2'

    api 'androidx.lifecycle:lifecycle-extensions:2.2.0'

    api 'androidx.databinding:viewbinding:7.4.2'

    api fileTree(dir: 'libs', include: ['*.jar'])


    api 'androidx.activity:activity-ktx:1.6.1'
    api 'com.google.code.gson:gson:2.10.1'

    api 'androidx.multidex:multidex:2.0.1'

    // RecyclerView 万能适配器
    api 'io.github.cymchad:BaseRecyclerViewAdapterHelper:3.0.14'

    //日志打印
    api 'com.orhanobut:logger:2.2.0'

    // rx系列
    api 'com.jakewharton.rxbinding4:rxbinding:4.0.0'

    // 图片加载
    api 'io.coil-kt:coil:2.2.2'
    api 'io.coil-kt:coil-gif:2.2.2'
    api 'io.coil-kt:coil-video:1.4.0'
    api 'androidx.legacy:legacy-support-v4:1.0.0'
    api 'com.github.bumptech.glide:glide:4.15.1'//Gride图片加载框架
    api 'com.github.bumptech.glide:compiler:4.13.0'

    //图片预览(超大图预览)
    api 'com.davemorrissey.labs:subsampling-scale-image-view-androidx:3.10.0'

    //一个简单、轻量、可随意定制 的Android版本更新库
    api 'io.github.azhon:appupdate:4.3.2'

    // AgentWeb 是一个基于的 Android WebView
    api 'com.github.Justson.AgentWeb:agentweb-core:v5.0.6-androidx' // (必选)
    api 'com.github.Justson.AgentWeb:agentweb-filechooser:v5.0.6-androidx' // (可选)
    api 'com.github.Justson:Downloader:v5.0.4-androidx'

    // 网络请求
    api 'com.squareup.retrofit2:retrofit:2.9.0'
    api 'com.squareup.retrofit2:converter-gson:2.9.0'
    api 'com.squareup.retrofit2:adapter-rxjava2:2.9.0'
    api 'com.squareup.okhttp3:logging-interceptor:5.0.0-alpha.2'

    // 下拉刷新
    api 'io.github.scwang90:refresh-layout-kernel:3.0.0-alpha'      //核心必须依赖
    api 'io.github.scwang90:refresh-header-classics:3.0.0-alpha'    //经典刷新头
    api 'io.github.scwang90:refresh-header-material:3.0.0-alpha'    //谷歌刷新头

    api 'com.github.getActivity:XXPermissions:18.2'

    // tencent key value存储
    api 'com.tencent:mmkv-static:1.2.15'

    api 'com.alibaba:fastjson:1.1.70.android'

    api 'com.geyifeng.immersionbar:immersionbar:3.2.2'
    api 'com.geyifeng.immersionbar:immersionbar-ktx:3.2.2'
}
